www-apache-bugdb mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marc Slemko <ma...@znep.com>
Subject general/693
Date Tue, 10 Jun 1997 02:20:01 GMT
The following reply was made to PR general/693; it has been noted by GNATS.

From: Marc Slemko <marcs@znep.com>
To: Ken Kempster <kempster@ibm.net>
Subject: general/693
Date: Mon, 9 Jun 1997 20:19:08 -0600 (MDT)

 
 On Mon, 9 Jun 1997, Ken Kempster wrote:
 
 > 
 > On 08-Jun-97 marc@hyperreal.com wrote:
 > >Synopsis: Compilation problem.
 > >
 > >State-Changed-From-To: open-analyzed
 > >State-Changed-By: marc
 > >State-Changed-When: Sat Jun  7 17:08:08 PDT 1997
 > >State-Changed-Why:
 > >Have you installed BIND 8.1 on this system?  If so, this
 > >problem is probably caused by a mismatch between your
 > >include files and your libraries.  Try adding "-lbind" to
 > >the EXTRA_LFLAGS line in the Configuration file,
 > >rerunning Configure and remaking.
 > >
 > Yes, this system has bind 8.1 installed.
 > I tried adding the -lbind but had the same error message.
 > 
 > I had bind 4.9.3 installed prior to this and had no problems.
 > what is the difference between the two that is causing this error?
 
 Send me the output from when it runs the final linking command (ie. gcc -o
 httpd ....), including both the exact command and the output it generates.
 
 Also include the output from a "nm /usr/local/lib/libbind.a"
 
 http://www..apache.org/docs/misc/FAQ.html#bind8.1 describes the typical
 cause of this problem; essentially, a conflict between include files and
 library versions. 
 
 I guess you could try adding -lresolv instead of -lbind; shouldn't work,
 but worth a shot.
 

Mime
View raw message